> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2025 12 15T15:51:37Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `POST` /api/users/metadatas

###### Request:

Changed content type : `application/json`

* Added property `githubUser` (string)

* Added property `githubUserId` (string)

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `GET` /api/loyalty/rule\_groups

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a get loyalty rule groups response

    * Changed property `loyaltyGroupItems` (array)

      Changed items (object):

      * Changed property `loyaltyRule` (object)

        * Changed property `type` (string)

          Added enum values:

          * `connected_github`
          * `github_repo_star`
        * Changed property `metadata` (object)

          * Added property `githubRepoUrl` (string)
            > URL of the GitHub repository to check for star.

          * Changed property `socialPlatform` (string)

            > Social media platform associated with the rule.

            Added enum value:

            * `GitHub`

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Changed property `type` (string)

  > Type of loyalty rule being created

  Added enum values:

  * `connected_github`
  * `github_repo_star`
* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `githubRepoUrl` (string)
    > URL of the GitHub repository to check for star.

  * Changed property `socialPlatform` (string)

    > Social media platform associated with the rule.

    Added enum value:

    * `GitHub`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `type` (string)

    > Type of loyalty rule being created

    Added enum values:

    * `connected_github`
    * `github_repo_star`
  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `githubRepoUrl` (string)
      > URL of the GitHub repository to check for star.

    * Changed property `socialPlatform` (string)

      > Social media platform associated with the rule.

      Added enum value:

      * `GitHub`

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Added property `githubRepoUrl` (string)
    > URL of the GitHub repository to check for star.

  * Changed property `socialPlatform` (string)

    > Social media platform associated with the rule.

    Added enum value:

    * `GitHub`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Added property `githubRepoUrl` (string)
      > URL of the GitHub repository to check for star.

    * Changed property `socialPlatform` (string)

      > Social media platform associated with the rule.

      Added enum value:

      * `GitHub`

##### `POST` /api/minting/contracts/mint

###### Request:

Changed content type : `application/json`

* Changed property `shippingOrderType` (string)

  Added enum value:

  * `github`

#### Result

***

API changes broke backward compatibility
